<!--[metadata]>
+++
title = "Overview"
description = "Learn about the commands available in the dockerhubenterprise/dtr image."
keywords = ["docker, dtr, install, uninstall, configure"]
[menu.main]
parent="dtr_menu_reference"
identifier="dtr_reference_overview"
weight=-10
+++
<![end-metadata]-->

# dockerhubenterprise/dtr overview

This tool has commands to install, configure, and backup Docker
Trusted Registry (DTR). It also allows uninstalling DTR.
By default the tool runs in interactive mode. It prompts you for
the values needed.

Additional help is available for each command with the '--help' option.


## Usage

```bash
docker run -it --rm dockerhubenterprise/dtr \
    command [command options]
```


## Commands

| Option                       | Description                |
|:-----------------------------|:---------------------------|
|`install`| Install Docker Trusted Registry|
|`join`| Add a new replica to an existing DTR cluster|
|`reconfigure`| Change DTR configurations|
|`remove`| Remove a DTR replica|
|`restore`| Install and restore DTR from an existing backup|
|`backup`| Create a backup of DTR|
|`upgrade`| Upgrade DTR 2.0.0 or later cluster to this version|
|`dumpcerts`| Print the TLS certificates used by DTR|
|`images`| List all the images necessary to install DTR|

